## class UpdateFontCmd : public Command

> command class for updating fonts.

## Inheritance:

### Public Methods

  | UpdateFontCmd (ShapeView *view, int family, int style, int size)
  virtual | ~UpdateFontCmd ()
  void | UnExecute ()
  void | Execute ()
  const char* | GetName () const

### Protected Methods

  void | SaveShape (GShape *s) save shape and its old font and size.
  XFont* | GetNewFont (GShape *s)
  void | GetUpdateShapes ()

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void TrackMouse(TrackType, Point*, Point*, Point*)
virtual void ReExecute()
virtual void Abort()
bool CmdDone() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> command class for updating fonts.

`UpdateFontCmd(ShapeView *view, int family, int style, int size)`

`virtual ~UpdateFontCmd()`

`void UnExecute()`

`void Execute()`

`const char* GetName() const`

`void SaveShape(GShape *s)`
  save shape and its old font and size.

`XFont* GetNewFont(GShape *s)`

`void GetUpdateShapes()`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de